var initLocalize = function(conditionListString, localizer) {
    if( conditionListString != null){
        var conditionList = conditionListString.split(', ');

        var total_number = parseInt(conditionList[0]);
        var pending_manual_number = parseInt(conditionList[1]); 
        var pending_idm_number = parseInt(conditionList[2]);
        var pending_ext_number = parseInt(conditionList[3]);
        var initialized_number = parseInt(conditionList[4]);
        var verified_number = parseInt(conditionList[5]);
        var refused_number = parseInt(conditionList[6]);
        var verification_ignored_number = parseInt(conditionList[7]);
        var not_verified_number = parseInt(conditionList[8]);
        var verification_timeout_number = parseInt(conditionList[9]);
        var error_number = parseInt(conditionList[10]);
        var completed_manual_number = parseInt(conditionList[11]);
        var completed_idm_number = parseInt(conditionList[12]);
        var completed_ext_number = parseInt(conditionList[13]);
        var in_progress_number = parseInt(conditionList[14]);

        var resultList = [];
        if(total_number === 1)
        {
            if(total_number === pending_manual_number)
            {
                resultList.push('IN_PROGRESS');
            }

            else if(total_number === pending_idm_number)
            {
                resultList.push('PENDING_IDM');
            }

            else if(total_number === pending_ext_number)
            {
                resultList.push('PENDING_EXT');
            }

            else if(total_number === initialized_number)
            {
                resultList.push('INITIALIZED');
            }

            else if(total_number === verified_number)
            {
                resultList.push('VERIFIED');
            }

            else if(total_number === refused_number)
            {
                resultList.push('REFUSED');
            }

            else if(total_number === verification_ignored_number)
            {
                resultList.push('VERIFICATION_IGNORED');
            }

            else if(total_number === not_verified_number)
            {
                resultList.push('NOT_VERIFIED');
            }

            else if(total_number === verification_timeout_number)
            {
                resultList.push('VERIFICATION_TIMEOUT');
            }

            else if(total_number === error_number)
            {
                resultList.push('ERROR');
            }

            else if(total_number === completed_manual_number)
            {
                resultList.push('COMPLETED_MANUAL');
            }

            else if(total_number === completed_idm_number)
            {
                resultList.push('COMPLETED_IDM');
            }

            else if(total_number === completed_ext_number)
            {
                resultList.push('COMPLETED_EXT');
            }

            else
            {
                resultList.push('IN_PROGRESS');
            }
        }
        else
        {
            var processedNumber = verified_number + refused_number + verification_ignored_number + not_verified_number + verification_timeout_number + error_number;
            var resolvingNumber = pending_manual_number + pending_idm_number + pending_ext_number + initialized_number + completed_manual_number + completed_idm_number + completed_ext_number + in_progress_number;

            if(total_number === processedNumber)
            {
                resultList.push('RESOLVING');
                resultList.push('ALL');
                resultList.push(processedNumber.toString());
                resultList.push('REQUESTS_PROCESSED');
            }
            else if(total_number === resolvingNumber)
            {
                resultList.push('RESOLVING');
                resultList.push(resolvingNumber.toString());
                resultList.push('REQUESTS_PROGRESS');
            }
            else
            {
                resultList.push('RESOLVING');
                resultList.push(processedNumber.toString());
                resultList.push('REQUESTS_PROCESSED');
                resultList.push(resolvingNumber.toString());
                resultList.push('REQUESTS_PROGRESS');
            }
        }
        
        return resultList.map(function(str) {
            try {
                return localizer.getString(str);
            } catch(err) {
                return str;
            }
        }).join(' ');
        }
}